/*
post.c

post process
*/

#include "oth.h"
#include "ev.h"
#include "oth_prototype.h"

void post(int ev)
{
	ev2d_init(Width2d, Height2d);
	ev2d_setFont((Fontname2d == 0) ? "sansserif" : (Fontname2d == 1) ? "serif" : "monospace");

	ev3d_init(Width3d, Height3d);
	ev3d_setFont((Fontname3d == 0) ? "sansserif" : (Fontname3d == 1) ? "serif" : "monospace");

	if (Piter[0] || Piter[1]) {
		plot2dIter();
	}

	plot2dFreq();

	if (IFar0d) {
		outputFar0d();
	}

	if (NFar1d) {
		outputFar1d();
	}

	if (NFar2d) {
		outputFar2d();
	}

	if (NNear1d) {
		if (runMode == 2) {
			setup_near1d();
		}
		outputNear1d();
	}

	if (NNear2d) {
		if (runMode == 2) {
			setup_near2d();
		}
		outputNear2d();
	}

	ev2d_file(ev, (ev ? FN_ev2d_1 : FN_ev2d_0));
	ev2d_output();

	if (!ev) ev3d_setAngle(Theta3d, Phi3d);
	ev3d_file(ev, (ev ? FN_ev3d_1 : FN_ev3d_0), 0);
	ev3d_output();
}
